"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var electron_2 = require("electron");
var path = require("path");
var isDev = require("electron-is-dev");
// import installExtension, { REACT_DEVELOPER_TOOLS } from "electron-devtools-installer";
var win = null;
var electron_1 = require("electron");
var global_shortcut = electron_1.globalShortcut;
function createWindow() {
    win = new electron_2.BrowserWindow({
        width: 1135,
        height: 680,
        webPreferences: {
            nodeIntegration: true,
            webviewTag: true,
            preload: __dirname + '/preload.js'
        }
    });
    if (isDev) {
        win.loadURL('http://localhost:3000/index.html');
        // global_shortcut.register("CommandOrControl+Q", function () {
        //     window.close();
        // });
    }
    else {
        // 'build/index.html'
        win.loadURL("file://" + __dirname + "/../index.html");
        // win.loadFile(`file://${__dirname}/../index.html`, {
        //     hash: 'main'
        // });
    }
    win.on('closed', function () { return win = null; });
    win.webContents.on('new-window', function (evt, url, frameName, disposition, options, additionalFeatures) {
        var _a = electron_2.screen.getPrimaryDisplay().workAreaSize, width = _a.width, height = _a.height;
        if (options.width == 800 && options.height == 600) { //default size is 800x600
            options.width = 1135 | 0;
            options.height = 680 | 0;
            // options.fullscreen = true;
            options.center = true;
        }
    });
    // Hot Reloading
    if (isDev) {
        // 'node_modules/.bin/electronPath'
        require('electron-reload')(__dirname, {
            electron: path.join(__dirname, '..', '..', 'node_modules', '.bin', 'electron'),
            forceHardReset: true,
            hardResetMethod: 'exit'
        });
    }
    // DevTools
    // installExtension(REACT_DEVELOPER_TOOLS)
    //   .then((name) => console.log(`Added Extension:  ${name}`))
    //   .catch((err) => console.log('An error occurred: ', err));
    if (isDev) {
        win.webContents.openDevTools();
    }
}
electron_2.app.on('ready', createWindow);
electron_2.app.on('window-all-closed', function () {
    if (process.platform !== 'darwin') {
        electron_2.app.quit();
    }
});
electron_2.app.on('activate', function () {
    if (win === null) {
        createWindow();
    }
});
//# sourceMappingURL=main.js.map